#188 my bug list Lives 1.8.0

dev-svn
open
nobody
None
1
2016-03-30
2013-01-21
No

Hi friends,
using Lives 1.8 on Fedora 17 64bit, i would like to list some things that, if solved, becames Lives moore usable:

I've found this bugs working with moore than 6 track until 24

1. trying to cut video and audio on multitrack timeline, sometimes the audio doesn't cut(sometimes remains only the sound that then is not possible to remove)
2. trying to cut only the audio on the single audio track, Lives hang
3. re-open Lives, it try to reload the previous set clip, and hang
4. re-opening Lives, at the question "do you want reload the set clip?" clicking on "No" it try to reload the set clip anyway, and hang.
5. if on the editor clip begin to generate one mpeg2 of a clip part (not entire clip), at the end of the partial clip selection render Lives hang
6. using moore of 6 track, is impossible to move two part of clip on the same track
7. using moore of 6 track, during the moving of a clip is not visible the initial clip section, becames impossible to positiones it correctly
8. using moore of 6 track, is impossible to move part of audio track
9. using moore of 6 track, is impossible to add an audio track

In addition to these bugs, I point out useful functions:

1. on multitrack editor the possiblity to select (for moving or delete or cut or copy) moore block on same track or on different track
2. set and edit the name of any track (multitrack editor)
3. show a vertical line in correspondence with the position of the cursor indicating the exact position of the cursor on all tracks

thanks

Related

Bugs: #188

Discussion

  • Salsaman

    Salsaman - 2013-01-22

    Thanks, I will take a look into these issues.

     
  • Davide  Marchi

    Davide Marchi - 2013-01-23

    Salsaman ha scritto:

    Thanks, I will take a look into these issues.
    Thanks to you! Great work Lives, something to improve, but great work! ;-)

    --
    firma

    cosmogoniA http://www.cosmogonia.org/
    noprovarenofareononfarenonc'èprovare

     
  • Salsaman

    Salsaman - 2013-01-24
    1. Could not reproduce this. Can you provide more detailed steps to reproduce ?
    2. Same as 1
    3. Probably related to 1 or 2.

    In addition, there may have been bugs in earlier versions of LiVES which produced broken layouts. Can you reproduce these with a fresh layout ?

    1. Has been fixed already, will be in the next release.
    2. Could not reproduce this. Open the "Show details" and take a screenshot when it hangs ?
    3. This is possible. You need to double click on the clip so it opens in the clip editor. Then set start and end points. Return to multitrack and insert. Double click again and set new start/end points. Return to multitrack and insert.
    4. Would it be helpful if I added a menu entry like "move this block to track <n>" ?
    5. Sure it is possible. You have to split the block first.
    6. Do you mean adding another backing audio track ? This is planned for the future but its not a high priority.

    7. This would be quite tricky to implement but I will bear it in mind. Maybe with shift and click ?

    8. Sure. Either in the next release or the one after.
    9. Yes.
     
  • Davide  Marchi

    Davide Marchi - 2013-01-24

    Salsaman ha scritto:

    1. Could not reproduce this. Can you provide more detailed steps to
      reproduce ?

    this was happen two times: the first time with moore than 18 track and
    the second time with 5 track on editor track view. Here the layer if you
    need look into (http://www.veronalive.it/tmp/layouts.tar.gz:
    tutorial_veronalive_52->video3->level2 audio track and
    http://www.veronalive.it/tmp/layouts2.tar.gz: tutorial_veronalive_eventi
    ->video track22-> audio 21)..

    1. Same as 1

    using the same layer file up, on audio track but now it doesn't hang...

    1. Probably related to 1 or 2.

    sometimes, only cliccking on play button it hang or just imported the
    layer. With this layer i didn't make initially the trimming audio for
    the video clip.

    In addition, there may have been bugs in earlier versions of LiVES
    which produced broken layouts. Can you reproduce these with a fresh
    layout ?

    1. Has been fixed already, will be in the next release.

    perfect!

    1. Could not reproduce this. Open the "Show details" and take a
      screenshot when it hangs ?
         I got the following arguments:
    
         multi_encoder version = 0.2.14
         fps = 15.000
         outfile = "/home/vage/Opere/Video/veronalive/mpeg/prova.bak.mpg"
         start = 1
         end = 4453
         ext = .jpg
         vformat = mh-mpeg
         aformat = 2
         hsize = 1280
         vsize = 864
    
         I will use the following:
    
         fpsc = 15.000
         aspect = 1.48148148148
         arc = 2
         type = mh
         prog = mpeg
         tempdir = /home/vage/Opere/Video/livestmp/774205380/metd
    
         I will run the following command:
         lives_mpeg_encoder -o
    

    "/home/vage/Opere/Video/veronalive/mpeg/prova.bak.mpg" -w
    "/home/vage/Opere/Video/livestmp/774205380/metd" -a 2 -f 15.000 -v -t mh
    -s ./audiodump.wav 1 4453 1>&2

    /usr/bin/convert: found
    /usr/bin/mpeg2enc: found
    /usr/bin/mp2enc: found
    /usr/bin/sox: found
    /usr/bin/png2yuv: found
    /usr/bin/jpeg2yuv: found
    /usr/bin/yuvdenoise: found
    /usr/bin/yuvscaler: found
    /usr/bin/mplex: found
    Invalid fps code.
    Traceback (most recent call last):
    File "/usr/lib/lives/plugins/encoders/multi_encoder", line 546, in
    <module>
    os.chmod(outfile_orig,stat.S_IRUSR|stat.S_IWUSR|stat.S_IRGRP|stat.S_IROTH)
    OSError: [Errno 2] No such file or directory:
    '/home/vage/Opere/Video/veronalive/mpeg/prova.bak.mpg'

    1. This is possible. You need to double click on the clip so it opens
      in the clip editor. Then set start and end points. Return to
      multitrack and insert. Double click again and set new start/end
      points. Return to multitrack and insert.

    ok, a little bit complicated but possible :-)

    1. Would it be helpful if I added a menu entry like "move this block
      to track " ?

    sure, peraphs "move this block to track at position.. "
    but the question is different: i write that the graphical
    rappresentation of the block is not visible during movement across the
    track. Infact if i try to move a block video from the track 9 to the
    track 10, during the movement, nothing is visible! The entire track
    reappear at the end of the movement.

    1. Sure it is possible. You have to split the block first.

    ok, but not much simple.

    9.

    Do you mean adding another backing audio track ? This is planned
    for the future but its not a high priority.
    

    yes

    1.

    This would be quite tricky to implement but I will bear it in
    mind. Maybe with shift and click ?
    

    yes, useful should be moore than only two, but two is better than one ;-)

    1. Sure. Either in the next release or the one after.

    perfect!

    1. Yes.

    wonderful!

    Suggest another useful functions:

    when exit from Lives, should be possible to select: exit ->"no make any
    changes to clip and layer"

    thanks!

    ciao


    [bugs:#188] http://sourceforge.net/p/lives/bugs/188/ my bug list
    Lives 1.8.0

    Status: open
    Created: Mon Jan 21, 2013 09:22 PM UTC by Davide Marchi
    Last Updated: Tue Jan 22, 2013 01:29 AM UTC
    Owner: nobody

    Hi friends,
    using Lives 1.8 on Fedora 17 64bit, i would like to list some things
    that, if solved, becames Lives moore usable:

    I've found this bugs working with moore than 6 track until 24

    1. trying to cut video and audio on multitrack timeline, sometimes the audio doesn't cut(sometimes remains only the sound that then is not possible to remove)
    2. trying to cut only the audio on the single audio track, Lives hang
    3. re-open Lives, it try to reload the previous set clip, and hang
    4. re-opening Lives, at the question "do you want reload the set clip?"clicking on "No"it try to reload the set clip anyway, and hang.
    5. if on the editor clip begin to generate one mpeg2 of a clip part (not entire clip), at the end of the partial clip selection render Lives hang
    6. using moore of 6track, is impossible to move two part of clip on the same track
    7. using moore of 6track, during the moving of a clip is not visible the initial clip section, becames impossible to positiones it correctly
    8. using moore of 6track, is impossible to move part of audio track
    9. using moore of 6track, is impossible to add an audio track

    In addition to these bugs, I point out useful functions:

    1. on multitrack editor the possiblity to select (for moving or delete or cut or copy) moore block on same track or on different track
    2. set and edit the name of any track (multitrack editor)
    3. show a vertical line in correspondence with the position of the cursor indicating the exact position of the cursor on all tracks

    thanks


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/lives/bugs/188/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

    --
    cosmogoniA
    cosmogoniAhttp://www.cosmogonia.org/
    noprovarenofareononfarenonc'èprovare

     

    Related

    Bugs: #188

  • Salsaman

    Salsaman - 2013-01-24

    OK.
    1,2, and 3 most probably are due to earlier bugs which have been fixed. Like I said, I need a simpler test case to reproduce this using only 1 or 2 video tracks.

    1. I think has already been fixed in svn, will be OK in the next release.

    2. Sounds like a window manager problem. What window manager are you using ?

     
  • Davide  Marchi

    Davide Marchi - 2013-01-25

    Salsaman ha scritto:

    OK.
    1,2, and 3 most probably are due to earlier bugs which have been
    fixed. Like I said, I need a simpler test case to reproduce this using
    only 1 or 2 video tracks.

    1.

    I think has already been fixed in svn, will be OK in the next release.
    

    perfect!

    2) Sounds like a window manager problem. What window manager are you
    using ?

    i'm using fedora 17 with gnome 3.6


    [bugs:#188] http://sourceforge.net/p/lives/bugs/188/ my bug list
    Lives 1.8.0

    Status: open
    Created: Mon Jan 21, 2013 09:22 PM UTC by Davide Marchi
    Last Updated: Thu Jan 24, 2013 12:24 AM UTC
    Owner: nobody

    Hi friends,
    using Lives 1.8 on Fedora 17 64bit, i would like to list some things
    that, if solved, becames Lives moore usable:

    I've found this bugs working with moore than 6 track until 24

    1. trying to cut video and audio on multitrack timeline, sometimes the audio doesn't cut(sometimes remains only the sound that then is not possible to remove)
    2. trying to cut only the audio on the single audio track, Lives hang
    3. re-open Lives, it try to reload the previous set clip, and hang
    4. re-opening Lives, at the question "do you want reload the set clip?"clicking on "No"it try to reload the set clip anyway, and hang.
    5. if on the editor clip begin to generate one mpeg2 of a clip part (not entire clip), at the end of the partial clip selection render Lives hang
    6. using moore of 6track, is impossible to move two part of clip on the same track
    7. using moore of 6track, during the moving of a clip is not visible the initial clip section, becames impossible to positiones it correctly
    8. using moore of 6track, is impossible to move part of audio track
    9. using moore of 6track, is impossible to add an audio track

    In addition to these bugs, I point out useful functions:

    1. on multitrack editor the possiblity to select (for moving or delete or cut or copy) moore block on same track or on different track
    2. set and edit the name of any track (multitrack editor)
    3. show a vertical line in correspondence with the position of the cursor indicating the exact position of the cursor on all tracks

    thanks


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/lives/bugs/188/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

    --
    cosmogoniA
    cosmogoniAhttp://www.cosmogonia.org/
    noprovarenofareononfarenonc'èprovare

     

    Related

    Bugs: #188

  • Salsaman

    Salsaman - 2013-02-17

    I think I have fixed this now in subversion. It involved rewriting the expose events for the multitrack window.

    Also regarding adding two sections from a single clip to the timeline, I recalled an easier way to do this. Select the clip in the scrolled window at the top, then click on Edit -> adjust clip start/end points (or just press ctrl-x). You can then set the start and end points before inserting the clip (either pressing i, or dragging to the timeline).

     
  • Davide  Marchi

    Davide Marchi - 2013-02-18

    Salsaman ha scritto:

    I think I have fixed this now in subversion. It involved rewriting the
    expose events for the multitrack window.

    Also regarding adding two sections from a single clip to the timeline,
    I recalled an easier way to do this. Select the clip in the scrolled
    window at the top, then click on Edit -> adjust clip start/end points
    (or just press ctrl-x). You can then set the start and end points
    before inserting the clip (either pressing i, or dragging to the
    timeline).

    Great Salsaman, i'm using Fedora, where (or when) i could give the new
    rpm version?

    many thanks!

    ciao

    --
    cosmogoniA
    cosmogoniAhttp://www.cosmogonia.org/
    noprovarenofareononfarenonc'èprovare

     
  • Salsaman

    Salsaman - 2016-03-30

    Rechecking this. I think all bugs reported have been fixed. Regarding feature requests, all have been done except for 1 (move / delete multiple blocks), which is planned for a future release.

     

Log in to post a comment.